# Roadmap

**Stand 22.03.2022**

Die FIT-Connect Submission API, die Routing API und die dazugehörige Infrastruktur wird in einem Projekt des IT-Planungsrats 
zu einer Produktreife entwickelt. Die Umsetzung der Projektliefergegenstände erfolgt iterativ, um eine schnelle
Erprobung und Feedback zu ermöglichen.

Die Roadmap soll daher einen Überblick verschaffen, wann das FIT-Connect Team für die folgenden Projektliefergegenstände
neue Features anstrebt:

- **API-Spezifikation:** In der OpenAPI geschriebene Spezifikation der FIT-Connect Submission API.
- **Entwicklerdokumentation- und tools:** Weiterführende Dokumentationsartikel zur technischen Anbindung an der API für
  sendende und empfangende Systeme und Bereitstellung von Tools für technische Querschnittsaufgaben wie Tokenhandling,
  Signaturprüfung oder Verschlüsselung.
- **Infrastruktur:** Bereitstellung von Infrastrukturkomponenten für die Durchführung von Anbindungstests oder
  Validierungsaufgaben sowie die produktive Bereitstellung der API für Datenübermittlungen.

Die Roadmap wird laufend aktualisiert und erweitert. Unser Team versucht weitestgehend verbindliche Termine zu benennen,
jedoch passen wir die Umsetzungen den aktuellen Bedarfen des Projekts an, wodurch es zu Verzögerungen bei manchen
Liefergegenständen kommen kann. Umgekehrt kann es auch sein, das Features früher fertiggestellt werden, falls die
Prioritäten ändern oder freie Kapazitäten zur Verfügung stehen.

Wir nehmen gerne neue Wünsche & Anregungen für die FIT-Connect APIs als Issue auf unserem
Projekt (https://git.fitko.de/fit-connect/api) entgegen und versuche diese Issues nach einer Umsetzungsprüfung in unsere
Roadmap aufzunehmen.

> Wünsche & Anregungen oder Fehler können über den [hier](/#found-bug) beschriebenen Prozess abgegeben werden können.

## Nutzungsplanung

Aktuell existiert eine frei nutzbare Testinfrastruktur, die für alle interessierten Entwickler nutzbar ist.

Darüber hinaus wurde eine Produktivinfrastruktur aufgebaut, die aktuell von einem eingeschränkten Kreis an Projektpartnern genutzt werden kann.
Die Kreis der Nutzungsberechtigten wird kontinuierlich im Rahmen des Projekts erweitert.

Im Laufe der zweiten Jahreshälfte wird angestebt, eine vollständig freie Nutzung von FIT-Connect zu ermöglichen.
Diese freie Nutzung ist jedoch von Beschlüssen des IT-Planungsrats zum Weiterbetrieb von FIT-Connect abhängig. 

![Nutzungsplanung für FIT-Connect](/images/roadmap/FIT-Connect-Nutzungsplanung.PNG "Nutzungsplanung")

## Feature Roadmap bis Q3 2022

![Feature Roadmap](/images/roadmap/FIT-Connect-Nutzungsplanung.PNG "Feature Roadmap")

